/*
 * Class ITERATION_CURSOR [INTEGER_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1935 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1935 [] = {0xFF01,1551,1934,878,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1935 [] = {0xFF01,1934,878,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1935 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1935 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1935 [] = {0xFF01,1934,878,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1935 [] = {0xFF01,1934,878,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1935 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1935 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1935 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1935 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1935 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1935 [] = {1934,878,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1935 [] = {0xFF01,1934,878,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1935 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1935 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1935[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1935), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1935), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1935), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1935), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1935), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1935), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1935), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1935), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1935), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1935), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1935), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1935), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1935), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1935), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1935), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1935), -1, 0xFFFFFFFF},
};
void Init1935(void)
{
	IDSC(desc_1935, 0, 1934);
	IDSC(desc_1935 + 1, 1, 1934);
	IDSC(desc_1935 + 32, 1449, 1934);
}


#ifdef __cplusplus
}
#endif
